Set the status code of the HTTP response.

- « Swoole\Http\Response::sendfile

- Swoole\Http\Response::write »

- PHP Manual
- Swoole\Http\Response
- Set the status code of the HTTP response.

# Swoole\Http\Response::status

(PECL swoole >= 1.9.0)

Swoole\Http\Response::status — Set the status code of the HTTP response.

### Description

public Swoole\Http\Response::status(string `$http_code`): ReturnType

Set the status code of the HTTP response.

### Parameters

`http_code`

### Return Values